import { p as proxyCustomElement, H, h } from './p-BhqVmlhr.js';
import { d as defineCustomElement$6 } from './p-Bvo-RJN_.js';
import { d as defineCustomElement$5 } from './p-BuSP3tod.js';
import { d as defineCustomElement$4 } from './p-_hrK0dSk.js';
import { d as defineCustomElement$3 } from './p-D8VoVMu6.js';
import { d as defineCustomElement$2 } from './p-Ba_cnspw.js';

const LineSkeleton = /*@__PURE__*/ proxyCustomElement(class LineSkeleton extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h("div", { key: '21d93b1be73dc509e4df8100eb88601658029dbe' }, h("dga-line-skeleton", { key: '8ddeb298c55ef0857769c628d371ebdd710b77d5' }), h("dga-circle-skeleton", { key: '1d84fa0a8c4928085034f008b63665bca160efe3' }), h("dga-rectangle-skeleton", { key: 'a9fa1dbc7d2a61811a87fdd16c50a36f38513cc5' }), h("dga-square-skeleton", { key: '0b4cbded0b0f2258313ce1277d1b283f2f836ae0' }), h("dga-skeleton-component", { key: 'b2e95bf60923b717b9841f4026923bf764c8297d' })));
    }
}, [0, "dga-skeleton-usage"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-skeleton-usage", "dga-circle-skeleton", "dga-line-skeleton", "dga-rectangle-skeleton", "dga-skeleton-component", "dga-square-skeleton"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-skeleton-usage":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, LineSkeleton);
            }
            break;
        case "dga-circle-skeleton":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "dga-line-skeleton":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "dga-rectangle-skeleton":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "dga-skeleton-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "dga-square-skeleton":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const DgaSkeletonUsage = LineSkeleton;
const defineCustomElement = defineCustomElement$1;

export { DgaSkeletonUsage, defineCustomElement };
